Index: c/src/lib/libbsp/i386/i386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision 578209bc1021b88adb6a5f6dfc4d551de129cad7)
+++ c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision 8d62d94aea76a77cc2cc856aad08925b213e09fb)
@@ -1,2 +1,6 @@
+2005-10-17	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* Makefile.am: Install/preinstall headers from ../../i386/shared.
+
 2005-09-19	Ralf Corsepius <ralf.corsepius@rtems.org>
 
@@ -33,5 +37,5 @@
 	* Makefile.am: Remove build-variant support.
 
-2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-09-24	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	* configure.ac: Require automake > 1.9.
@@ -45,5 +49,5 @@
 	* Makefile.am: Add -D__INSIDE_RTEMS_BSD_TCPIP_STACK__ for network.
 
-2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-23	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	PR 610/bsps
@@ -51,25 +55,25 @@
 	* include/tm27.h: Final cosmetics.
 
-2004-04-22	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-22	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	* include/bsp.h: Split out tmtest27 support.
 	* include/tm27.h: New.
 
-2004-04-21	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-21	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	PR 613/bsps
 	* include/bsp.h: Remove MAX_LONG_TEST_DURATION.
 
-2004-04-21	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-21	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	PR 614/bsps
 	* include/bsp.h: Remove MAX_SHORT_TEST_DURATION (Unused).
 
-2004-04-02	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-02	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	* start/start.S: Include <rtems/asm.h> instead of <asm.h>.
 	* timer/timerisr.S: Include <rtems/asm.h> instead of <asm.h>.
 
-2004-04-01	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-01	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	* network/network.c: Include <rtems/asm.h> instead of <asm.h>.
@@ -78,5 +82,5 @@
 	* include/bsp.h: Include <rtems/iosupp.h> instead of <iosupp.h>.
 
-2004-03-31	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-03-31	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	* clock/ckinit.c, include/bsp.h, startup/bspstart.c, timer/timer.c:
Index: c/src/lib/libbsp/i386/i386ex/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/Makefile.am	(revision 578209bc1021b88adb6a5f6dfc4d551de129cad7)
+++ c/src/lib/libbsp/i386/i386ex/Makefile.am	(revision 8d62d94aea76a77cc2cc856aad08925b213e09fb)
@@ -20,4 +20,8 @@
 include_HEADERS += include/coverhd.h
 
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS = ../../i386/shared/irq/irq.h \
+    ../../i386/shared/irq/irq_asm.h
+
 noinst_HEADERS = start/80386ex.h start/80386ex.inc start/macros.inc
 EXTRA_DIST = start/start.S
@@ -29,4 +33,5 @@
 
 noinst_PROGRAMS += startup.rel
+include_HEADERS += ../../i386/shared/comm/uart.h
 startup_rel_SOURCES = ../../shared/bspclean.c ../../shared/bsplibc.c \
     ../../shared/bsppost.c startup/bspstart.c ../../shared/bootcard.c \
@@ -109,4 +114,17 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
+$(PROJECT_INCLUDE)/bsp/$(dirstamp):
+	@$(mkdir_p) $(PROJECT_INCLUDE)/bsp
+	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+
+$(PROJECT_INCLUDE)/bsp/irq.h: ../../i386/shared/irq/irq.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq.h
+
+$(PROJECT_INCLUDE)/bsp/irq_asm.h: ../../i386/shared/irq/irq_asm.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq_asm.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq_asm.h
+
 $(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
@@ -117,4 +135,8 @@
 PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds
 
+$(PROJECT_INCLUDE)/uart.h: ../../i386/shared/comm/uart.h $(PROJECT_INCLUDE)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/uart.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/uart.h
+
 CLEANFILES = $(PREINSTALL_FILES)
 DISTCLEANFILES += $(PREINSTALL_DIRS)
Index: c/src/lib/libbsp/i386/pc386/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/pc386/ChangeLog	(revision 578209bc1021b88adb6a5f6dfc4d551de129cad7)
+++ c/src/lib/libbsp/i386/pc386/ChangeLog	(revision 8d62d94aea76a77cc2cc856aad08925b213e09fb)
@@ -1,2 +1,6 @@
+2005-10-17	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* Makefile.am: Install/preinstall headers from ../../i386/shared.
+
 2005-09-29	Thomas Doerfler <Thomas.Doerfler@imd-systems.de>
 
@@ -104,5 +108,5 @@
 	* Makefile.am clock/todcfg.c: Add support for MC146818A TOD chip.
 
-2004-09-24	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-09-24	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	* configure.ac: Require automake > 1.9.
@@ -126,5 +130,5 @@
 	recent updates to BSD header files.
 
-2004-04-23	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-23	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	PR 610/bsps
@@ -132,30 +136,30 @@
 	* include/tm27.h: Final cosmetics.
 
-2004-04-22	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-22	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	* include/bsp.h: Split out tmtest27 support.
 	* include/tm27.h: New.
 
-2004-04-21	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-21	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	PR 613/bsps
 	* include/bsp.h: Remove MAX_LONG_TEST_DURATION.
 
-2004-04-21	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-21	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	PR 614/bsps
 	* include/bsp.h: Remove MAX_SHORT_TEST_DURATION (Unused).
 
-2004-04-14	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-14	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	* configure.ac: Add RTEMS_ROOT (HACK: This is the last file c/src
 	which still uses RTEMS_ROOT).
 
-2004-04-02	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-02	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	* start/start.S: Include <rtems/asm.h> instead of <asm.h>.
 	* timer/timerisr.S: Include <rtems/asm.h> instead of <asm.h>.
 
-2004-04-01	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-04-01	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	* startup/ldsegs.S: Include <rtems/asm.h> instead of <asm.h>.
@@ -164,5 +168,5 @@
 	* include/bsp.h: Include <rtems/iosupp.h> instead of <iosupp.h>.
 
-2004-03-31	Ralf Corsepius <ralf_corsepius@rtems.org>
+2004-03-31	Ralf Corsepius <ralf.corsepius@rtems.org>
 
 	* clock/ckinit.c, clock/rtc.c, console/inch.c, ide/ide.c,
Index: c/src/lib/libbsp/i386/pc386/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/pc386/Makefile.am	(revision 578209bc1021b88adb6a5f6dfc4d551de129cad7)
+++ c/src/lib/libbsp/i386/pc386/Makefile.am	(revision 8d62d94aea76a77cc2cc856aad08925b213e09fb)
@@ -24,4 +24,8 @@
 
 SUBDIRS = . tools
+
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS = ../../i386/shared/irq/irq.h \
+    ../../i386/shared/irq/irq_asm.h
 
 include_HEADERS += include/crt.h
@@ -61,4 +65,5 @@
 
 noinst_PROGRAMS += console.rel
+include_HEADERS += ../../i386/shared/comm/i386_io.h
 console_rel_SOURCES = console/console.c console/inch.c console/outch.c \
     console/defkeymap.c console/fb_vga.c console/keyboard.c \
@@ -82,4 +87,5 @@
 
 noinst_PROGRAMS += pci.rel
+include_HEADERS += ../../i386/shared/pci/pcibios.h
 pci_rel_SOURCES = ../../i386/shared/pci/pcibios.c
 pci_rel_CPPFLAGS = $(AM_CPPFLAGS)
@@ -87,4 +93,5 @@
 
 noinst_PROGRAMS += startup.rel
+include_HEADERS += ../../i386/shared/comm/uart.h
 startup_rel_SOURCES = ../../shared/bsplibc.c ../../shared/bsppost.c \
     startup/bspstart.c startup/exit.c ../../i386/shared/irq/idt.c \
@@ -180,4 +187,17 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bspopts.h
 
+$(PROJECT_INCLUDE)/bsp/$(dirstamp):
+	@$(mkdir_p) $(PROJECT_INCLUDE)/bsp
+	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+
+$(PROJECT_INCLUDE)/bsp/irq.h: ../../i386/shared/irq/irq.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq.h
+
+$(PROJECT_INCLUDE)/bsp/irq_asm.h: ../../i386/shared/irq/irq_asm.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq_asm.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq_asm.h
+
 $(PROJECT_INCLUDE)/crt.h: include/crt.h $(PROJECT_INCLUDE)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/crt.h
@@ -225,4 +245,16 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/fb_vga.h
 
+$(PROJECT_INCLUDE)/i386_io.h: ../../i386/shared/comm/i386_io.h $(PROJECT_INCLUDE)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/i386_io.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/i386_io.h
+
+$(PROJECT_INCLUDE)/pcibios.h: ../../i386/shared/pci/pcibios.h $(PROJECT_INCLUDE)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/pcibios.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/pcibios.h
+
+$(PROJECT_INCLUDE)/uart.h: ../../i386/shared/comm/uart.h $(PROJECT_INCLUDE)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/uart.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/uart.h
+
 if HAS_NETWORKING
 $(PROJECT_INCLUDE)/wd80x3.h: include/wd80x3.h $(PROJECT_INCLUDE)/$(dirstamp)
Index: c/src/lib/libbsp/i386/ts_386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision 578209bc1021b88adb6a5f6dfc4d551de129cad7)
+++ c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision 8d62d94aea76a77cc2cc856aad08925b213e09fb)
@@ -1,2 +1,6 @@
+2005-10-17	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* Makefile.am: Install/preinstall headers from ../../i386/shared.
+
 2005-09-19	Ralf Corsepius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/i386/ts_386ex/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/Makefile.am	(revision 578209bc1021b88adb6a5f6dfc4d551de129cad7)
+++ c/src/lib/libbsp/i386/ts_386ex/Makefile.am	(revision 8d62d94aea76a77cc2cc856aad08925b213e09fb)
@@ -24,4 +24,8 @@
 include_HEADERS += include/coverhd.h
 
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS = ../../i386/shared/irq/irq.h \
+    ../../i386/shared/irq/irq_asm.h
+
 noinst_HEADERS = start/80386ex.h start/80386ex.inc start/macros.inc \
     start/ts_1325.inc
@@ -35,4 +39,5 @@
 
 noinst_PROGRAMS += startup.rel
+include_HEADERS += ../../i386/shared/comm/uart.h
 startup_rel_SOURCES = ../../shared/bspclean.c ../../shared/bsplibc.c \
     ../../shared/bsppost.c startup/bspstart.c ../../shared/bootcard.c \
@@ -118,4 +123,17 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
+$(PROJECT_INCLUDE)/bsp/$(dirstamp):
+	@$(mkdir_p) $(PROJECT_INCLUDE)/bsp
+	@: > $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+PREINSTALL_DIRS += $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+
+$(PROJECT_INCLUDE)/bsp/irq.h: ../../i386/shared/irq/irq.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq.h
+
+$(PROJECT_INCLUDE)/bsp/irq_asm.h: ../../i386/shared/irq/irq_asm.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq_asm.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq_asm.h
+
 $(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
@@ -125,4 +143,8 @@
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/linkcmds
 PREINSTALL_FILES += $(PROJECT_LIB)/linkcmds
+
+$(PROJECT_INCLUDE)/uart.h: ../../i386/shared/comm/uart.h $(PROJECT_INCLUDE)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/uart.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/uart.h
 
 if HAS_NETWORKING
